<?php        

namespace Concrete\Package\LocalizerLocalizeConcrete5Addon;
use Package;
use BlockType;
use Database;


defined('C5_EXECUTE') or die(_("Access Denied."));

class Controller extends Package
{

	protected $pkgHandle = 'localizer_localize_concrete5_addon';
	protected $appVersionRequired = '5.7.0.4';
	protected $pkgVersion = '1.9';
	
	public function getPackageDescription()
	{
		return t("Make your website multilingual instantly.");
	}

	public function getPackageName()
	{
		return t("Localizer");
	}
	
	public function install()
	{
		$pkg = parent::install();
		
        BlockType::installBlockType('localizer_localize_concrete5_addon', $pkg); 
        
	}
    public function uninstall() 
    {
        parent::uninstall();
		$db = Database::connection();
		$db->query('DROP TABLE IF EXISTS btLocalizerCo');
    }
}
?>